// DlgPleinEcran.cpp : implementation file
//

#include "stdafx.h"
#include "MakeTerrain.h"
#include "DlgPleinEcran.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgPleinEcran dialog


CDlgPleinEcran::CDlgPleinEcran(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgPleinEcran::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgPleinEcran)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	bmp = NULL;
}


void CDlgPleinEcran::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgPleinEcran)
	DDX_Control(pDX, IDC_IMAGE, CtlImage);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgPleinEcran, CDialog)
	//{{AFX_MSG_MAP(CDlgPleinEcran)
	ON_WM_ERASEBKGND()
	ON_WM_SIZE()
	ON_WM_LBUTTONDBLCLK()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgPleinEcran message handlers


void CDlgPleinEcran :: SetBitmapInfo (CString Name,HBITMAP handle,SIZE sizeinit)
{
	bmp = handle;
	size = sizeinit;
	FileName = Name;
}

BOOL CDlgPleinEcran::OnEraseBkgnd(CDC* pDC) 
{
	RECT rc;
	CBrush hbr (RGB (0,0,0)),* oldhbr;
	GetClientRect (&rc);
	oldhbr = (CBrush *) pDC->SelectObject (&hbr);
	pDC->Rectangle (0,0,rc.right,rc.bottom);
	pDC->SelectObject (oldhbr);
	return TRUE;
}

BOOL CDlgPleinEcran::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CString str;
	
	// TODO: Add extra initialization here
	ShowWindow (SW_SHOWMAXIMIZED);
	CtlImage.SetBitmap (bmp);
/*
	// CG: The following block was added by the ToolTips component.
	{
		// Create the ToolTip control.
		m_tooltip.Create(this);
		m_tooltip.Activate(TRUE);

		// TODO: Use one of the following forms to add controls:
		// m_tooltip.AddTool(GetDlgItem(IDC_<name>), <string-table-id>);
		// m_tooltip.AddTool(GetDlgItem(IDC_<name>), "<text>");
		AfxFormatString1 (str,IDS_PLEIN_ECRAN_TIP,FileName);
		m_tooltip.AddTool(GetDlgItem(IDC_IMAGE),str);
	}
	*/
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDlgPleinEcran::OnSize(UINT nType, int cx, int cy) 
{
	CDialog::OnSize(nType, cx, cy);
	CWnd * wnd = NULL;
	wnd = GetDlgItem (IDC_IMAGE);
	if (!wnd) return;
	RECT wrc,crc;
	int bordx,bordy;
	int posx,posy;

	wnd->GetWindowRect (&wrc);
	wnd->GetClientRect (&crc);
	bordx = (wrc.right - crc.right)/2;
	bordy = (wrc.right - crc.right)/2;

	posx = (cx-size.cx)/2-bordx;
	posy = (cy-size.cy)/2-bordx;
	if (posx < 0) posx = 0;
	if (posy < 0) posy = 0;

	wnd->MoveWindow (
		posx,
		posy,
		size.cx,
		size.cy,
		TRUE);
	
	// TODO: Add your message handler code here
	
}

BOOL CDlgPleinEcran::PreTranslateMessage(MSG* pMsg)
{
/*
	// CG: The following block was added by the ToolTips component.
	{
		// Let the ToolTip process this message.
		m_tooltip.RelayEvent(pMsg);
	}
	*/
	return CDialog::PreTranslateMessage(pMsg);	// CG: This was added by the ToolTips component.
}

void CDlgPleinEcran::OnLButtonDblClk(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	OnOK ();
	CDialog::OnLButtonDblClk(nFlags, point);
}
