#if !defined(AFX_OPTIONLISTBOX_H__D19555A2_B68B_11D2_8640_00002480B594__INCLUDED_)
#define AFX_OPTIONLISTBOX_H__D19555A2_B68B_11D2_8640_00002480B594__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// OptionListBox.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CJeremyBitmapList window

//	char * str;
class ListData
{
protected:
	CString BmpPath;
	CString str;
	long IdDessin;
	long IdVersion;
	HBITMAP bmp;

public:
	ListData () {bmp = NULL;}
	~ListData () {};

	CString GetBmpPath () {return BmpPath;}
	CString GetTitle () {return str;}
	long GetIdDessin () {return IdDessin;}
	long GetIdVersion () {return IdVersion;}
	HBITMAP GetHbitmap () {return bmp;}

	void SetBmpPath (CString BmpPathInit)	{BmpPath = BmpPathInit;}
	void SetTitle (CString StrInit)			{str = StrInit;}
	void SetIdDessin (long IdDessinInit)	{IdDessin = IdDessinInit;}
	void SetIdVersion (long IdVersionInit)	{IdVersion = IdVersionInit;}
	void SetHbitmap (HBITMAP hbitmapInit)	{bmp = hbitmapInit;}


};





class CJeremyBitmapList : public CListBox
{
// Construction
public:
	CJeremyBitmapList();

// Attributes
public:
	SIZE sizebmp;


// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CJeremyBitmapList)
	//}}AFX_VIRTUAL

private:

	// Fonction prives pour le dessin
	void DrawImage (CDC * pDC,RECT &rcitem,HBITMAP bmp,BOOL bSelected);
	void DrawInfo (CDC * pDC,RECT rcitem,ListData * pt,BOOL bSelected);

	// Implementation
public:
	virtual ~CJeremyBitmapList();
	// Operations

	// Fonctions virtuelles
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDIS);
	virtual int CompareItem(LPCOMPAREITEMSTRUCT lpCIS);
	virtual void DeleteItem( LPDELETEITEMSTRUCT lpDeleteItemStruct );

public:
	// Fonction programmeur
	int AddItem (CString str,long IdDessin,long IdVersion);
	void SetBmpPath (int index,CString BmpPath);
	void SetBmpSize (int larg, int haut);
	HBITMAP LoadBitmapFile (CString FileName);
	BOOL IsFileExist (CString FileName);
	long GetIdDessin (int index);
	long GetIdVersion (int index);
	HBITMAP GetFileName (DWORD index);
	HBITMAP GetHbitmap (int index);
	CString GetPathFileName (DWORD index);


	// Generated message map functions
protected:
	//{{AFX_MSG(CJeremyBitmapList)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTIONLISTBOX_H__D19555A2_B68B_11D2_8640_00002480B594__INCLUDED_)
