#if !defined(AFX_DLGLIGHT_H__453FA2C0_CA92_11D2_BC7A_525400DD663F__INCLUDED_)
#define AFX_DLGLIGHT_H__453FA2C0_CA92_11D2_BC7A_525400DD663F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DlgLight.h : header file
//

#include "TerrainType.h"

/////////////////////////////////////////////////////////////////////////////
// CDlgLight dialog

class CDlgLight : public CDialog
{

	CView * pView;
	// Construction
public:
	CDlgLight(CWnd* pParent = NULL);   // standard constructor

	void SetView (CView * pViewInit) {pView = pViewInit;}


// Dialog Data
	//{{AFX_DATA(CDlgLight)
	enum { IDD = IDD_DLG_LIGHT };
	CSliderCtrl	SliderSpeculaireR;
	CSliderCtrl	SliderSpeculaireG;
	CSliderCtrl	SliderSpeculaireB;
	CSliderCtrl	SliderSpeculaireAlpha;
	CSliderCtrl	SliderShiness;
	CSliderCtrl	SliderEmissionR;
	CSliderCtrl	SliderEmissionG;
	CSliderCtrl	SliderEmissionB;
	CSliderCtrl	SliderEmissionAlpha;
	CSliderCtrl	SliderDiffuseR;
	CSliderCtrl	SliderDiffuseG;
	CSliderCtrl	SliderDiffuseB;
	CSliderCtrl	SliderDiffuseAlpha;
	CSliderCtrl	SliderAmbianteR;
	CSliderCtrl	SliderAmbianteG;
	CSliderCtrl	SliderAmbianteB;
	CSliderCtrl	SliderAmbianteAlpha;
	int		Shinessint;
	UINT	AmbianteAlphaInt;
	UINT	AmbianteBint;
	UINT	AmbianteGint;
	UINT	AmbianteRint;
	UINT	DiffuseAlphaInt;
	UINT	DiffuseBint;
	UINT	DiffuseGint;
	UINT	DiffuseRint;
	UINT	EmissionAlphaInt;
	UINT	EmissionBint;
	UINT	EmissionGint;
	UINT	EmissionRint;
	UINT	SpeculaireAlphaInt;
	UINT	SpeculaireBint;
	UINT	SpeculaireGint;
	UINT	SpeculaireRint;
	//}}AFX_DATA


	int RgbSliderId;
	MATERIEL * pMat;
	void SetMaterielInfo (MATERIEL * pMatInit) {pMat = pMatInit;}
	void UpdateRgbEditInfo ();
	float RgbIntToFloat (int value);
	int RgbFloatToInt (float value);
	void SetShiness ();
	void Init ();
	void UpdateRgbAmbiante ();
	void UpdateRgbDiffuse ();
	void UpdateRgbSpeculaire ();
	void UpdateRgbEmission ();
	void RefreshParent ();





// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgLight)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgLight)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGLIGHT_H__453FA2C0_CA92_11D2_BC7A_525400DD663F__INCLUDED_)
