#ifndef CRESIZE_JEREMY_DIALOG_CONTROLBAR
#define CRESIZE_JEREMY_DIALOG_CONTROLBAR


#define SPLITSIZE		6
#define INC_SIZE_Y		8
#define INC_SIZE_X		4

class CJeremyBitmapResizeBar : public CDialogBar  
{
	DECLARE_DYNAMIC(CJeremyBitmapResizeBar)

protected :
	// Dialog Data
	//{{AFX_DATA(CMyDialogBis)
	//}}AFX_DATA



	// Handle de bitmap  initialiser pour la reprsentation
	// de la barre du splitter
	HBITMAP bmp;
	// Variable globales pour le splitter
	BOOL OnSplit;
	int xsplit,ysplit;// Les coordonnes de dpart
	int xsplitprev,ysplitprev;	// Pour bouger le splitter
	DWORD styledep; // Docking  froite  gauche etc..
	CDialog  * DlgListe;



private:
	void DrawSplit (int x,int y,DWORD style);

public:

	// Fonction temporaire qui vont virer
	CSize GetParentSize ();
	
	void Draw (CDC * pDC);


	CSize SetFixedLayoutCx (CFrameWnd * pFrame,int cx);
	CSize SetFixedLayoutCy (CFrameWnd * pFrame,int cy);
	int GetIncSizeX () {return INC_SIZE_X;}
	int GetIncSizeY () {return INC_SIZE_Y;}




	// Recalcul du layout
	virtual CSize CalcFixedLayout(BOOL bStretch, BOOL bHorz);
	virtual CSize CalcDynamicLayout(int nLength, DWORD dwMode);
	virtual void OnBarStyleChange(DWORD dwOldStyle, DWORD dwNewStyle);
	
	// Cette fonction sera appelle pour redimmensionner
	// des controles dans le formulaire.
	virtual void ResizeChild ();
	BOOL ReplaceDialogue (CDialog * Dlg,UINT IDD_DIALOGUE);



	int CX;
	int CY;
	CSize FlotSize;
	

	CJeremyBitmapResizeBar();
	virtual ~CJeremyBitmapResizeBar();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyDialogBis)
	protected:
	//}}AFX_VIRTUAL

// Implementation



protected:
	//{{AFX_MSG(CJeremyBitmapResizeBar)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnWindowPosChanging(WINDOWPOS FAR* lpwndpos);

	//}}AFX_MSG
	DECLARE_MESSAGE_MAP ()
};

#endif






